module.exports = function (grunt) {

    grunt.initConfig({
        bower: {
            dist: {
                dest: 'web/js/vendor',
                options: {
                    checkExistence: false,
                    debugging: true,
                    paths: {
                        bowerDirectory: 'vendor/bower',
                        bowerrc: '.bowerrc',
                        bowerJson: 'bower.json'
                    }
                }
            }
        },
        less: {
            build: {
                options: {
                    plugins: [new (require('less-plugin-autoprefix'))({browsers: ["last 3 versions"]}),],
                    paths: [
                        'vendor/bower/uikit/less',
                        'src/Sikofitt/less'
                    ],
                    strictImports: true,
                    compress: true
                },
                files: {
                    'web/css/resume.min.css': 'src/Sikofitt/less/resume.less'
                }
            }
        }
    });




    grunt.loadNpmTasks('grunt-contrib-less');
    grunt.loadNpmTasks('main-bower-files');
    grunt.loadNpmTasks('grunt-phpunit');

    grunt.registerTask('dist', ['bower', 'less']);
    grunt.registerTask('default', 'dist');

};